package com.sourcefellows.patterns.cor;

public class SecondLevelSupportHandler implements SupportHandler {

    private SupportHandler nextHandler;

    public SecondLevelSupportHandler(SupportHandler nextHandler) {
        this.nextHandler = nextHandler;
    }

    @Override
    public void handleRequest(CustomerRequest request) {

        if (true) {
            this.nextHandler.handleRequest(request);
        }

    }
}
